<?php

namespace App\Repositories\Interfaces\Admin;

interface PageRepositoryInterface
{
    public function all($data = []);

    public function getByLang($id, $lang);

    public function store($request);

    public function get($id, $is_active = null);

    public function update($request, $id);

    public function destroy($id);

    public function delete($request);

    public function langStore($request, $key);

    public function langUpdate($request);

    public function status($data);

    public function activePages($data = []);

    public function findByLink($link);
}